Subject: bug#60590: Emacs stack trace from terminal, crash

From: Jason Hemann <[email-masked]>
Date: Thu, 5 Jan 2023 22:58:39 +0000

Hi,

Package: emacs
Version: 28.2

I received the following stack trace from my emacs crashing. This is not a consistent error, and so I have not been able to reproduce it. I thought that this might be useful to someone here. Whatever else goes on, I suspect that emacs should not itself crash as a result, and that indicates a bug in emacs. I know that this is a port and not the standard GNU Emacs; still, I thought maybe what’s going on here would be common across both versions.

[jhemann:writegood-mode] 16:23:04$ emacs
Fatal error 5: Trace/breakpoint trapBacktrace:
0 Emacs 0x0000000102e67be0 deliver_thread_signal + 56
1 Emacs 0x0000000102e66130 seed_random + 0
2 libsystem_platform.dylib 0x00000001a40634a4 _sigtramp + 56
3 JavaScriptCore 0x00000001bcaf1800 _ZN3JSC20SecureARM64EHashPins19initializeAtStartupEv + 76
4 JavaScriptCore 0x00000001bd449240 _ZZN3JSC10initializeEvENK3$_7clEv + 56
5 libc++.1.dylib 0x00000001a3f9d958 _ZNSt3__111__call_onceERVmPvPFvS2_E + 180
6 JavaScriptCore 0x00000001bd44399c _ZNSt3__19call_onceIZN3JSC10initializeEvE3$_7JEEEvRNS_9once_flagEOT_DpOT0_ + 76
7 JavaScriptCore 0x00000001bd443944 _ZN3JSC10initializeEv + 24
8 WebKit 0x00000001c291378c _ZN6WebKitL21runInitializationCodeEPv + 44
9 libc++.1.dylib 0x00000001a3f9d958 _ZNSt3__111__call_onceERVmPvPFvS2_E + 180
10 WebKit 0x00000001c272ac04 _ZN6WebKit17InitializeWebKit2Ev + 96
11 WebKit 0x00000001c2a5b708 -[WKWebViewConfiguration init] + 60
12 Emacs 0x0000000102f89618 -[EmacsSVGDocument initWithData:options:] + 236
13 Emacs 0x0000000102f8fcdc __document_rasterizer_create_block_invoke + 40
14 Emacs 0x0000000102f8f5d4 mac_gui_loop + 84
15 Emacs 0x0000000102fb8430 main.cold.1 + 16
16 Emacs 0x0000000102f8f508 main + 1176
17 dyld 0x000000010359908c start + 520
Trace/BPT trap: 5
[jhemann:writegood-mode] 16:51:56$ emacs --version
GNU Emacs 28.2 Copyright (C) 2022 Free Software Foundation, Inc.
GNU Emacs comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GNU Emacs
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING.
[jhemann:writegood-mode] 17:51:20$ which emacs
/opt/homebrew/bin/emacs
[jhemann:writegood-mode] 17:53:56$ ls -lat /opt/homebrew/bin/emacs
lrwxr-xr-x 1 jhemann admin 47B Dec 15 11:21 /opt/homebrew/bin/emacs@ -> /Applications/Emacs.app/Contents/MacOS/Emacs.sh
[jhemann:writegood-mode] 17:54:05$ head /Applications/Emacs.app/Contents/MacOS/Emacs.sh
#!/bin/bash
### Emacs.sh - GNU Emacs Mac port startup script.

## Copyright (C) 2012-2022 YAMAMOTO Mitsuharu

## This file is part of GNU Emacs Mac port.

## GNU Emacs Mac port is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
[jhemann:writegood-mode] 17:54:18$

JBH